Skip to main content
GET
/
team-members
List all team members
curl --request GET \
  --url https://{your-subdomain}.neetoform.com/api/external/v2/team-members \
  --header 'Accept: <accept>' \
  --header 'X-Api-Key: <x-api-key>'
import requests

url = "https://{your-subdomain}.neetoform.com/api/external/v2/team-members"

headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};

fetch('https://{your-subdomain}.neetoform.com/api/external/v2/team-members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "team_members": [
    {
      "id": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "time_zone": "<string>",
      "organization_role": "<string>",
      "active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "total_records": 123,
    "total_pages": 123,
    "current_page_number": 123,
    "page_size": 123
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Accept
enum<string>
default:application/json
required

Specifies the expected response format. Must be set to application/json for proper API communication.

Available options:
application/json

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

Response

200 - application/json

OK - Request succeeded

team_members
object[]
pagination
object